{
  "/assistants": {
    "get": {
      "tags": [
        "assistants"
      ],
      "summary": "Get Assistants",
      "description": "Returns a list of assistants.\n\nAPI Reference docs - https://platform.openai.com/docs/api-reference/assistants/listAssistants",
      "operationId": "get_assistants_assistants_get",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    },
    "post": {
      "tags": [
        "assistants"
      ],
      "summary": "Create Assistant",
      "description": "Create assistant\n\nAPI Reference docs - https://platform.openai.com/docs/api-reference/assistants/createAssistant",
      "operationId": "create_assistant_assistants_post",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/assistants/{assistant_id}": {
    "delete": {
      "tags": [
        "assistants"
      ],
      "summary": "Delete Assistant",
      "description": "Delete assistant\n\nAPI Reference docs - https://platform.openai.com/docs/api-reference/assistants/createAssistant",
      "operationId": "delete_assistant_assistants__assistant_id__delete",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "assistant_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Assistant Id"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  }
}